%global enable_tests 0

Name:           nodejs-utilities
Version:        1.0.4
Release:        1%{?dist}
Summary:        A classic collection of JavaScript utilities

License:        ASL 2.0
URL:            https://github.com/mde/utilities
Source0:        http://registry.npmjs.org/utilities/-/utilities-%{version}.tgz
# https://github.com/mde/utilities/pull/23
Source1:        http://www.apache.org/licenses/LICENSE-2.0
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(jake)
%endif

%description
%{summary}.


%prep
%setup -q -n utilities-v%{version}
cp %{SOURCE1} LICENSE
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/utilities
cp -pr package.json lib %{buildroot}%{nodejs_sitelib}/utilities
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
jake test
%endif


%files
%doc LICENSE README.md
%{nodejs_sitelib}/utilities


%changelog
* Sat Nov 15 2014 Tom Hughes <tom@compton.nu> - 1.0.4-1
- Initial build of 1.0.4
